summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Fred Richards2011-12-15 06:59:42 +0100
committer Niels Horn2011-12-18 03:07:51 +0100
commitf3d7301323ad97f3af5222e9a16375d187d02f03 (patch)
treeb7f7139e96654bad36ea009ac3ddf6f1eac06bae /system
parent2fb616e00c5ac52bccf628a9ec0b92e79c94c57d (diff)
downloadslackbuilds-f3d7301323ad97f3af5222e9a16375d187d02f03.tar.gz
system/lsyncd: Added (live syncing daemon)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/lsyncd/README9
-rw-r--r--system/lsyncd/lsyncd.SlackBuild83
-rw-r--r--system/lsyncd/lsyncd.info10
-rw-r--r--system/lsyncd/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/system/lsyncd/README b/system/lsyncd/README
new file mode 100644
index 0000000000..6ca0756f92
--- /dev/null
+++ b/system/lsyncd/README
@@ -0,0 +1,9 @@
+Lsyncd watches a local directory trees event monitor interface
+(inotify). It aggregates and combines events for a few seconds
+and then spawns one (or more) process(es) to synchronize the changes.
+By default this is rsync. Lsyncd is thus a lightweight live mirror
+solution that is comparatively easy to install not requiring new
+filesystems or blockdevices and does not hamper local filesystem
+performance.
+
+This requires lua.
diff --git a/system/lsyncd/lsyncd.SlackBuild b/system/lsyncd/lsyncd.SlackBuild
new file mode 100644
index 0000000000..7cd9967500
--- /dev/null
+++ b/system/lsyncd/lsyncd.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for lsync
+
+# Written by Fred Richards (fredr@geexology.org)
+# based on slackbuilds.org default autotools-template
+
+PRGNAM=lsyncd
+VERSION=${VERSION:-2.0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION/examples \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog doc/lsyncd.1.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/lsyncd/lsyncd.info b/system/lsyncd/lsyncd.info
new file mode 100644
index 0000000000..2b5969ab47
--- /dev/null
+++ b/system/lsyncd/lsyncd.info
@@ -0,0 +1,10 @@
+PRGNAM="lsyncd"
+VERSION="2.0.5"
+HOMEPAGE="http://code.google.com/p/lsycnd/"
+DOWNLOAD="http://lsyncd.googlecode.com/files/lsyncd-2.0.5.tar.gz"
+MD5SUM="73295232a6f1b157137d25dccdba68f5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Fred Richards"
+EMAIL="fredr@geexology.org"
+APPROVED="rworkman"
diff --git a/system/lsyncd/slack-desc b/system/lsyncd/slack-desc
new file mode 100644
index 0000000000..23e7e4fcbb
--- /dev/null
+++ b/system/lsyncd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lsyncd: lsyncd (live syncing daemon - syncs local dirs wth remote targets)
+lsyncd:
+lsyncd: Lsyncd watches a local directory trees event monitor interface
+lsyncd: (inotify). It aggregates and combines events for a few seconds and
+lsyncd: then spawns one (or more) process(es) to synchronize the changes.
+lysncd: By default this is rsync. Lsyncd is thus a lightweight live mirror
+lsyncd: solution that is comparatively easy to install not requiring new
+lsyncd: filesystems or blockdevices and does not hamper local filesystem
+lsyncd: performance.
+lsyncd:
+lsyncd: